Bug 1324330 - Puppet classes can not be attached to content view
Summary: Puppet classes can not be attached to content view
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Unspecified
Assignee: Brad Buckingham
QA Contact: Sachin Ghai
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-06 06:05 UTC by Sebastian Hetze
Modified: 2019-09-26 17:34 UTC (History)
6 users (show)

Fixed In Version: rubygem-hammer_cli_katello-0.0.22.6-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-27 09:30:59 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1501 normal SHIPPED_LIVE Red Hat Satellite 6.2 Capsule and Server 2016-07-27 12:28:58 UTC
Foreman Issue Tracker 14576 None None None 2016-04-22 16:49:33 UTC

Description Sebastian Hetze 2016-04-06 06:05:22 UTC
Description of problem:

After syncing Puppet Forge into Sat6.2 it is not possible to attach puppet classes to content view.

Error: content_view_puppet_module not found


PuppetForge product states 4056 modules being synced.

In the GUI, when editing the CV to add a puppet module, I see "Showing 20 of 2554 (4055 Total)" while in the same dialog in Sat 6.1 I see "Showing 2458 of 2458 (2458 Total)"

It is possible to scroll down the list in the GUI and finally reach the intended module. However, the search does not work: it seemingly does not proceed past a*

The hammer CLI does not work at all.

hammer content-view puppet-module add --organization "$ORG" --content-view RHEL7_Base --author puppetlabs --name ntp
Could not add the puppet module:
  Error: content_view_puppet_module not found

Version-Release number of selected component (if applicable):
katello 3.0.0. 3.el7sat
foreman 1.11.0.9 1.el7sat

Comment 1 Sebastian Hetze 2016-04-08 08:09:41 UTC
foreman-rake katello:reindex does not change the behaviour.

Upgrade to SNAP 7.0 does not solve the problem.

Comment 2 Brad Buckingham 2016-04-08 21:00:26 UTC
This bugzilla is actually raising a few different issues and I would like have separate bugs to address those issues.

ISSUE 1. "After syncing Puppet Forge into Sat6.2 it is not possible to attach puppet classes to content view."

Response: this is not entirely true.  Adding the modules in the UI works; however, it is is very cumbersome when working with large numbers of modules.  Item 3 below should help with that.

ISSUE 2. "In the GUI, when editing the CV to add a puppet module, I see "Showing 20 of 2554 (4055 Total)" while in the same dialog in Sat 6.1 I see "Showing 2458 of 2458 (2458 Total)""

Response: created bug 1325448 to track this one.

ISSUE 3. "...the search does not work: it seemingly does not proceed past a*"

Response: created bug 1325450 to track this one.

ISSUE 4. "The hammer CLI does not work at all.

hammer content-view puppet-module add --organization "$ORG" --content-view RHEL7_Base --author puppetlabs --name ntp
Could not add the puppet module:
  Error: content_view_puppet_module not found"

Response: While there are a few issues, this is the most severe and I'd like to have it addressed with this bugzilla, covering the other issues as noted above.

Comment 5 Brad Buckingham 2016-04-11 14:24:21 UTC
Created redmine issue http://projects.theforeman.org/issues/14576 from this bug

Comment 6 Bryan Kearney 2016-04-11 16:11:02 UTC
Upstream bug component is Content Management

Comment 7 Brad Buckingham 2016-04-12 16:09:14 UTC
Upstream hammer-cli-katello PR: https://github.com/Katello/hammer-cli-katello/pull/379

Comment 8 Sachin Ghai 2016-04-18 08:58:28 UTC
Verified with sat6.2 beta snap8.2

As mentioned in comment3, only "ISSUE4" should be addressed in this bz. So as per comment2, that's the issue with hammer cli. And I can add puppet module to content-view. Please see below where I added two modules separately in cv


# hammer -u admin -p changeme content-view puppet-module add --organization 'Default Organization' --content-view cv_rhel7 --author jeffmccune --name motd
Puppet module added to content view

[root@cloud-qe-3 ~]# hammer -u admin -p changeme content-view puppet-module add --organization 'Default Organization' --content-view cv_rhel7 --author openstack --name nova
Puppet module added to content view

Comment 10 errata-xmlrpc 2016-07-27 09:30:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1501


Note You need to log in before you can comment on or make changes to this bug.